# Class CIM_StorageError
extends CIM_ManagedElement

StorageError defines blocks of media or memory space that are mapped 'out of use' due to errors. The Key of the class is the StartingAddress of the bytes in error.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StorageError

## Direct Known Subclasses

CIM_MemoryError

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | StorageError defines blocks of media or memory space that are mapped 'out of use' due to errors. The Key of the class is the StartingAddress of the bytes in error.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DeviceCreationClassName | string |
Description | string | The scoping StorageExtent's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_StorageExtent.CreationClassName
DeviceID | string |
Description | string | The scoping StorageExtent's DeviceID.
Key | boolean | true
MaxLen | uint32 | 64
Propagated | string | CIM_StorageExtent.DeviceID
EndingAddress | uint64 |
Description | string | The ending address of the bytes in error.
StartingAddress | uint64 |
Description | string | The starting address of the bytes in error.
Key | boolean | true
SystemCreationClassName | string |
Description | string | The scoping System's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_StorageExtent.SystemCreationClassName
SystemName | string |
Description | string | The scoping System's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_StorageExtent.SystemName

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods